#!/bin/bash -e

# This file generates the random password and store username, password 
# in cyops rabbitmq_users.conf file. 
# The package cyops-common runs the file rabbitmq_users.conf which #runs before all cyops 
# rpms and creates /opt/cyops/config/rabbitmq/ 
# because some application requires contents of rabbitmq_users.conf file while installation.

cyops_user="cyops"
cyops_vhost="intra-cyops"
cyops_passwd_file="rabbitmq_users.conf"
cyops_passwd_file_path="/opt/cyops/configs/rabbitmq"

if [ ! -f $cyops_passwd_file_path/$cyops_passwd_file ]; then
    echo "cyops.rabbitmq.host=localhost" > $cyops_passwd_file_path/$cyops_passwd_file
    echo "cyops.rabbitmq.port=5672" >> $cyops_passwd_file_path/$cyops_passwd_file
    echo "cyops.rabbitmq.vhost=$cyops_vhost" >> $cyops_passwd_file_path/$cyops_passwd_file
    echo "cyops.rabbitmq.user=$cyops_user" >> $cyops_passwd_file_path/$cyops_passwd_file
    set +x
    cyops_passwd=`strings  /dev/urandom | grep -o '[[:alnum:]]' | head -n 30 | tr -d '\n'; echo`
    echo "cyops.rabbitmq.password=******** >> $cyops_passwd_file_path/$cyops_passwd_file"
    echo "cyops.rabbitmq.password=$cyops_passwd" >> $cyops_passwd_file_path/$cyops_passwd_file
    set -x
    #sed -i "/cyops.rabbitmq.user/a cyops.rabbitmq.password=$cyops_passwd" $cyops_passwd_file_path/$cyops_passwd_file
fi

