#!/bin/sh

title="EULA Agreement"
eula_agreed=/home/csadmin/.eula_agreed
yes_label="Accept"
no_label="Do not accept"
dialog_height=20
dialog_width=75
export NCURSES_NO_UTF8_ACS=1

if [ ! -f "$eula_agreed" ];then

    eula=`cat /opt/cyops/configs/scripts/eula_ascii.txt`

    # trap Control+C
    trap "" SIGINT
    while true ;do
        ret_code=2
        # Keep showing dialog box until return code is 0 or 1
        # We do not want user to press escape key and its combinations
        while [ $ret_code != 0 -a $ret_code != 1 ];do
            dialog --title "$s_title" \
                   --yes-label "$yes_label" \
                   --no-label "$no_label" \
                   --yesno "$eula" \
                   $dialog_height \
                   $dialog_width
            ret_code=$?
        done
        if [ 0 = $ret_code ];then
            touch $eula_agreed
            clear
            break
        else
            if [ ! -f "$eula_agreed" ];then
                clear
                s_msg="  You need to agree to EULA in order to use CyOPs.\n  System will be halted if EULA is not accepted.\n  Are you sure?"
                dialog --title "$s_title" \
                       --yes-label "Yes" \
                       --no-label "No" \
                       --yesno "$s_msg" \
                       $dialog_height \
                       $dialog_width
                ret_code=$?
                if [ 0 = $ret_code ];then
                    sudo halt
                fi
            else
                dialog --title "$s_title" \
                       --ok-label "OK" \
                       --msgbox "EULA has already been agreed." \
                       $dialog_height \
                       $dialog_width
                exit 0
            fi
        fi
    done
fi
